Debian Bug report logs - #370529
README.Debian clarification: postmap

version graph

Package: kolabd; Maintainer for kolabd is Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>;

Reported by: Johannes Graumann <johannes_graumann@web.de>

Date: Mon, 5 Jun 2006 18:03:31 UTC

Severity: normal

Tags: patch

Found in version kolabd/1.9.4dfsg-3

Fixed in version kolabd/1.9.4-20060707.dfsg-1

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>:
Bug#370529; Package kolabd. Full text and rfc822 format available.

Acknowledgement sent to Johannes Graumann <johannes_graumann@web.de>:
New Bug report received and forwarded. Copy sent to Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johannes Graumann <johannes_graumann@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: johannes_graumann@web.de
Subject: README.Debian clarification: postmap
Date: Mon, 5 Jun 2006 10:21:59 -0700
[Message part 1 (text/plain, inline)]
Package: kolabd
Version: 1.9.4dfsg-3
Severity: normal
Tags: patch

Code example on how to create missing postfix lookup tables is cryptic and 
unintelligible to the novice (including me).

Proposed change:
360c360
< # ^touch^postmap^
---
> # postmap /etc/postfix/{canonical,virtual,relocated,transport}

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (900, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-486
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages kolabd depends on:
ii  adduser                 3.87             Add and remove users and groups
ii  apache2-mpm-prefork     2.0.55-4         traditional model for Apache2
ii  apache2-utils           2.0.55-4         utility programs for webservers
ii  db4.2-util              4.2.52-24        Berkeley v4.2 Database Utilities
ii  kolab-cyrus-admin       2.2.12-7         Cyrus mail system (administration 
ii  kolab-cyrus-clients     2.2.12-7         Cyrus mail system (test clients)
ii  kolab-cyrus-imapd       2.2.12-7         Cyrus mail system (IMAP support)
ii  kolab-cyrus-pop3d       2.2.12-7         Cyrus mail system (POP3 support)
ii  kolab-resource-handlers 0.3.9-6          Scripts for the Kolab groupware 
se
ii  ldap-utils              2.3.24-1         OpenLDAP utilities
ii  libkolab-perl           0.9.2-5          Perl extensions for the Kolab 
Grou
ii  libmail-box-perl        2.065-1          Manage a message-folder
ii  libnet-netmask-perl     1.9012-1         parse, manipulate and lookup IP 
ne
ii  libsasl2-modules        2.1.19.dfsg1-0.2 Pluggable Authentication Modules 
f
ii  libterm-readkey-perl    2.30-3           A perl module for simple terminal 
ii  libterm-readline-gnu-pe 1.16-1           Perl extension for the GNU 
Readlin
ii  lsb-base                3.1-8            Linux Standard Base 3.1 init 
scrip
ii  openssl                 0.9.8b-2         Secure Socket Layer (SSL) binary 
a
ii  perl                    5.8.8-5          Larry Wall's Practical Extraction 
ii  postfix                 2.2.10-2         A high-performance mail transport 
ii  postfix-ldap            2.2.10-2         LDAP map support for Postfix
ii  sasl2-bin               2.1.19.dfsg1-0.2 Programs for manipulating the 
SASL
ii  slapd                   2.3.24-1         OpenLDAP server (slapd)

kolabd recommends no packages.

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>:
Bug#370529; Package kolabd. Full text and rfc822 format available.

Acknowledgement sent to Tom Fernandes <anyaddress@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 370529@bugs.debian.org (full text, mbox):

From: Tom Fernandes <anyaddress@gmx.net>
To: 370529@bugs.debian.org
Cc: Johannes Graumann <johannes_graumann@web.de>
Subject: Re: [pkg-kolab] Bug#370529: README.Debian clarification: postmap
Date: Mon, 5 Jun 2006 20:43:55 +0200
Hi,

On Monday 05 June 2006 19:21, Johannes Graumann wrote:
> Package: kolabd
> Version: 1.9.4dfsg-3
> Severity: normal
> Tags: patch
>
> Code example on how to create missing postfix lookup tables is cryptic and
> unintelligible to the novice (including me).

The main problem is that this is bashism - this e.g. doesn't work in ksh.

IMHO this is not a bug with a "normal" severity but rather with a "minor" 
though.

>
> Proposed change:
> 360c360
> < # ^touch^postmap^

it does look neat though, right? :)

[...]

Tom



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>:
Bug#370529; Package kolabd. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 370529@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: Johannes Graumann <johannes_graumann@web.de>, 370529@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [pkg-kolab] Bug#370529: README.Debian clarification: postmap
Date: Mon, 05 Jun 2006 21:24:06 +0200
[Message part 1 (text/plain, inline)]
tags 370529 + pending
thanks

Am Montag, den 05.06.2006, 10:21 -0700 schrieb Johannes Graumann:

> Code example on how to create missing postfix lookup tables is cryptic and 
> unintelligible to the novice (including me).
> 
> Proposed change:
> 360c360
> < # ^touch^postmap^
> ---
> > # postmap /etc/postfix/{canonical,virtual,relocated,transport}

:) We wanted to add advance bash stuff.:) But I agree if its not
understandable then it should be replaced in the README.
Done in svn and will be fixed by next upload.

-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>:
Bug#370529; Package kolabd. Full text and rfc822 format available.

Acknowledgement sent to Johannes Graumann <johannes_graumann@web.de>:
Extra info received and forwarded to list. Copy sent to Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 370529@bugs.debian.org (full text, mbox):

From: Johannes Graumann <johannes_graumann@web.de>
To: Tom Fernandes <anyaddress@gmx.net>
Cc: 370529@bugs.debian.org
Subject: Re: [pkg-kolab] Bug#370529: README.Debian clarification: postmap
Date: Mon, 5 Jun 2006 12:02:27 -0700
[Message part 1 (text/plain, inline)]
On Monday 05 June 2006 11:43, Tom Fernandes wrote:
> > Code example on how to create missing postfix lookup tables is cryptic
> > and unintelligible to the novice (including me).
>
> The main problem is that this is bashism - this e.g. doesn't work in ksh.
Well, see - I'm a novice at this and the fact that this is a "bashism" did not 
stick out to me ... I'm using bash after all ;0)

> IMHO this is not a bug with a "normal" severity but rather with a "minor"
> though.
Fine. But change it - no matter what the severity - in the interest of 
newbiefriendliness ;0)

> > Proposed change:
> > 360c360
> > < # ^touch^postmap^
>
> it does look neat though, right? :)
May be, but deciphering was only possible after multiple hours spent on setup 
attempts and trying to track down postfix errors written to syslog - waste of 
time ...

I suppose this would be a 'bashism'-free replacement of the entire block?

touch /etc/postfix/canonical /etc/postfix/virtual /etc/postfix/relocated /etc/postfix/transport
postmap /etc/postfix/canonical /etc/postfix/virtual /etc/postfix/relocated /etc/postfix/transport

Joh
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Johannes Graumann <johannes_graumann@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 370529-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 370529-close@bugs.debian.org
Subject: Bug#370529: fixed in kolabd 1.9.4-20060707.dfsg-1
Date: Fri, 15 Sep 2006 07:17:06 -0700
Source: kolabd
Source-Version: 1.9.4-20060707.dfsg-1

We believe that the bug you reported is fixed in the latest version of
kolabd, which is due to be installed in the Debian FTP archive:

kolabd_1.9.4-20060707.dfsg-1.diff.gz
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg-1.diff.gz
kolabd_1.9.4-20060707.dfsg-1.dsc
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg-1.dsc
kolabd_1.9.4-20060707.dfsg-1_all.deb
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg-1_all.deb
kolabd_1.9.4-20060707.dfsg.orig.tar.gz
  to pool/main/k/kolabd/kolabd_1.9.4-20060707.dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 370529@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated kolabd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 15:56:22 +0200
Source: kolabd
Binary: kolabd
Architecture: source all
Version: 1.9.4-20060707.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 kolabd     - groupware server
Closes: 347262 368977 370032 370529 375431
Changes: 
 kolabd (1.9.4-20060707.dfsg-1) unstable; urgency=low
 .
   * New upstream release
 .
   [ Steffen Joeris ]
   * Include patch to allow configuration for syslog (Closes: #368977)
     Thanks to Marc Brockschmidt
   * Add minor remind to README.Debian
   * Include parts of the patch for the README.Debian documentation
     (Closes: #375431) Thanks to Shri Shrikumar
   * Correct order of slapd.conf in README.Debian to avoid complainings
     from slapd (Closes: #370032) Thanks to Johannes Graumann
   * Add specific dependency against postfix to make sure null_sender
     patch is available in postfix and update the README.Debian to make
     sure that we use the option null_sender= (Closes: #347262)
 .
   [ Noèl Köthe ]
   * add horde-sarge-iCal.patch to package. Only sarge
     horde needs it so README.Debian becomes shorter.:)
   * replace unclear command with more understandable command
     (closes: Bug#370529)
   * corrected svn.debian.org URL for new structure
 .
   [ Peter Eisentraut ]
   * Improved package description
   * Updated standards version
   * Fixed Build-Depends vs. Build-Depends-Indep
   * Added watch file
   * Changed priority to extra for policy conformance
   * Added placeholder man pages
Files: 
 e239ef6a46b361042c8e912fd6f0d51a 764 mail extra kolabd_1.9.4-20060707.dfsg-1.dsc
 9538472bf4cb581fe75f31ad9c6d2e53 103174 mail extra kolabd_1.9.4-20060707.dfsg.orig.tar.gz
 cf837c051b8202c93170d9393eac3943 18182 mail extra kolabd_1.9.4-20060707.dfsg-1.diff.gz
 930cf0634ccfa8f791c6c274fc5cc48e 102506 mail extra kolabd_1.9.4-20060707.dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCrIZTTx8oVVPtMYRAoRKAJ49vR/G+ae7jyWj2fVNwSQrnqwk/QCeJRQC
TCkCN9/J3JlUb0UHl2aBbLs=
=+XS2
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 01:37:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:17:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.